Package com.google.protobuf.compiler

# Interface PluginProtos.CodeGeneratorRequestOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `PluginProtos.CodeGeneratorRequest`, `PluginProtos.CodeGeneratorRequest.Builder`

Enclosing class:
  `PluginProtos`

public static interface PluginProtos.CodeGeneratorRequestOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`PluginProtos.Version`
`getCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.VersionOrBuilder`
`getCompilerVersionOrBuilder()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`String`
`getFileToGenerate(int index)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`ByteString`
`getFileToGenerateBytes(int index)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`int`
`getFileToGenerateCount()`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`List<String>`
`getFileToGenerateList()`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`String`
`getParameter()`
`optional string parameter = 2 [json_name = "parameter"];`
`ByteString`
`getParameterBytes()`
`optional string parameter = 2 [json_name = "parameter"];`
`DescriptorProtos.FileDescriptorProto`
`getProtoFile(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`int`
`getProtoFileCount()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<DescriptorProtos.FileDescriptorProto>`
`getProtoFileList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`getProtoFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
`getProtoFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProto`
`getSourceFileDescriptors(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`int`
`getSourceFileDescriptorsCount()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`List<DescriptorProtos.FileDescriptorProto>`
`getSourceFileDescriptorsList()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`getSourceFileDescriptorsOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
`getSourceFileDescriptorsOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`boolean`
`hasCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`boolean`
`hasParameter()`
`optional string parameter = 2 [json_name = "parameter"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFileToGenerateList

List<String> getFileToGenerateList()
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Returns:
  A list containing the fileToGenerate.

### getFileToGenerateCount

int getFileToGenerateCount()
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Returns:
  The count of fileToGenerate.

### getFileToGenerate

String getFileToGenerate(int index)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The fileToGenerate at the given index.

### getFileToGenerateBytes

ByteString getFileToGenerateBytes(int index)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the fileToGenerate at the given index.

### hasParameter

boolean hasParameter()
`optional string parameter = 2 [json_name = "parameter"];`

Returns:
  Whether the parameter field is set.

### getParameter

String getParameter()
`optional string parameter = 2 [json_name = "parameter"];`

Returns:
  The parameter.

### getParameterBytes

ByteString getParameterBytes()
`optional string parameter = 2 [json_name = "parameter"];`

Returns:
  The bytes for parameter.

### getProtoFileList

List<DescriptorProtos.FileDescriptorProto> getProtoFileList()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFile

DescriptorProtos.FileDescriptorProto getProtoFile(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileCount

int getProtoFileCount()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileOrBuilderList

List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getProtoFileOrBuilderList()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileOrBuilder

DescriptorProtos.FileDescriptorProtoOrBuilder getProtoFileOrBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getSourceFileDescriptorsList

List<DescriptorProtos.FileDescriptorProto> getSourceFileDescriptorsList()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptors

DescriptorProtos.FileDescriptorProto getSourceFileDescriptors(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsCount

int getSourceFileDescriptorsCount()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsOrBuilderList

List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getSourceFileDescriptorsOrBuilderList()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsOrBuilder

DescriptorProtos.FileDescriptorProtoOrBuilder getSourceFileDescriptorsOrBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### hasCompilerVersion

boolean hasCompilerVersion()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

Returns:
  Whether the compilerVersion field is set.

### getCompilerVersion

PluginProtos.Version getCompilerVersion()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

Returns:
  The compilerVersion.

### getCompilerVersionOrBuilder

PluginProtos.VersionOrBuilder getCompilerVersionOrBuilder()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`